Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations.reflection
Class XMLContext.Default

    java.lang.Object
      org.hibernate.cfg.annotations.reflection.XMLContext.Default

Enclosing class:
  XMLContext

    public static class XMLContext.Default

extends Object

Constructor Summary
`XMLContext.Default()`

Method Summary
`boolean` | `canUseJavaAnnotations()`
`String` | `getAccess()`
`Boolean` | `getCascadePersist()`
`String` | `getCatalog()`
`Boolean` | `getMetadataComplete()`
`String` | `getPackageName()`
`String` | `getSchema()`
`void` | `override(XMLContext.Default globalDefault)`
`protected void` | `setAccess(String access)`
`protected void` | `setCatalog(String catalog)`
`protected void` | `setMetadataComplete(Boolean metadataComplete)`
`protected void` | `setPackageName(String packageName)`
`protected void` | `setSchema(String schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContext.Default

    public XMLContext.Default()

Method Detail

### getAccess

    public String getAccess()

### setAccess

    protected void setAccess(String access)

### getCatalog

    public String getCatalog()

### setCatalog

    protected void setCatalog(String catalog)

### getPackageName

    public String getPackageName()

### setPackageName

    protected void setPackageName(String packageName)

### getSchema

    public String getSchema()

### setSchema

    protected void setSchema(String schema)

### getMetadataComplete

    public Boolean getMetadataComplete()

### canUseJavaAnnotations

    public boolean canUseJavaAnnotations()

### setMetadataComplete

    protected void setMetadataComplete(Boolean metadataComplete)

### getCascadePersist

    public Boolean getCascadePersist()

### override

    public void override(XMLContext.Default globalDefault)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD